Next: gmtime, Previous: ctime, Up: Timefns [Contents][Index]

### 8.4 `difftime`—subtract two times

Synopsis

    #include <time.h>
    double difftime(time_t tim1, time_t tim2);

Description
Subtracts the two times in the arguments: ‘`tim1 - tim2`’.

Returns
The difference (in seconds) between tim2 and tim1, as a `double`.

Portability
ANSI C requires `difftime`, and defines its result to be in seconds in all implementations.

`difftime` requires no supporting OS subroutines.